<?php
// +----------------------------------------------------------------------+
// | Copyright (c) SiouxApp - All Rights Reserved                         |
// | Unauthorized copying of this file, via any medium is prohibited.     |
// | Proprietary and confidential - Written by Michael P. Hofmann         |
// +----------------------------------------------------------------------+
class PartnerAzure extends A_Partner {
    // --------------------------------------------------------------------
    protected static $_Info = array(
        'About' => array(
            'Display' => 'Azure',
            'Mail' => '',
            'Homepage' => 'http://azure.microsoft.com',
        ),
        'Partner' => array(
            'GroupList' => '',
            'ServiceList' => 'Hosting',
            'AppList' => '',
            'InfraList' => 'LinuxUbuntu',
        ),
        'Intro' => array(
            'Title' => 'The cloud for modern business',
            'Features' => array('Unmachted productivity','Open and flexible','Works with existing IT', 'Protects your data', 'Ready for any business'),
            'Video' => '',
        ),
        'Download' => array(
            'Azure Channel 9 SiouxApp Blog Post'=>  array('Date'=>'2015-10-15', 'Href' =>'http://download.siouxapp.com/sapp/download-document/partner_azure/2015-11-17 Channel9 SiouxApp Blog Post.pdf',),
            'Azure SiouxApp Datasheet'          =>  array('Date'=>'2015-09-25', 'Href' =>'http://download.siouxapp.com/sapp/download-document/partner_azure/2015-09-25_Azure SiouxApp Datasheet.pdf',),
            'Azure SiouxApp Datasheet (DE)'     =>  array('Date'=>'2015-09-25', 'Href' =>'http://download.siouxapp.com/sapp/download-document/partner_azure/2015-09-25_Azure SiouxApp Datasheet (DE).pdf',),
            'Azure SiouxApp Pitch Deck'         =>  array('Date'=>'2015-10-15', 'Href' =>'http://download.siouxapp.com/sapp/download-document/partner_azure/2015-10-09_Azure SiouxApp Pitch Deck.pdf',),
        ),
    );
    // --------------------------------------------------------------------
    protected static function _InfoStartGet($inPara = '') {
        $return = '';
        // Certified Images
        $texts = array();
        $texts[] = '<b>Marketplace</b>';
        //$texts[] = '1. Azure Marketplace';
        //$texts[] = '- Search "SiouxApp"';
        //$texts[] = '2. Launch server';
        $texts[] = '... comming soon.';
        $return.= WidgetIcon::TileGet(array('type' => 'icon', 'image' => 'serverimagecertified', 'text' => 'Certified Images', 'href' => 'http://azure.microsoft.com/', 'target' => '_blank'), implode('<br>', $texts));
        // Public Images
        $texts = array();
        $texts[] = '<b>Images</b>';
        $texts[] = '1. VM Depot';
        $texts[] = '- Search "SiouxApp"';
        $texts[] = '2. Launch server';
        $return.= WidgetIcon::TileGet(array('type' => 'icon', 'image' => 'serverimage', 'text' => 'Public Images', 'href' => 'http://vmdepot.msopentech.com/', 'target' => '_blank'), implode('<br>', $texts));
        // Ubuntu Install
        $texts = array();
        $texts[] = '<b>Ubuntu Installation</b>';
        $texts[] = '1. Launch server';
        $texts[] = '- Ubuntu 14.04';
        $texts[] = '2. Install SiouxApp';
        $texts[] = '- <a href="http://docu.siouxapp.com" target="_blank" class="cssNoafter">"Install with 1-line"</a>';
        $return.= WidgetIcon::TileGet(array('type' => 'icon', 'image' => 'installation', 'text' => 'Installation', 'href' => 'http://docu.siouxapp.com/', 'target' => '_blank'), implode('<br>', $texts));
        return WidgetDiv::CenteredGet($return);
    }
    // --------------------------------------------------------------------
}
?>